Package org.eclipse.equinox.http.servlet.internal

# Class HttpServiceObjectRegistration

java.lang.Object
org.eclipse.equinox.http.servlet.internal.HttpServiceObjectRegistration

public class HttpServiceObjectRegistration extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final Bundle`
`bundle`
`final org.eclipse.equinox.http.servlet.internal.context.HttpContextHolder`
`httpContextHolder`
`final ServiceRegistration<?>`
`registration`
`final Object`
`serviceKey`

## Constructor Summary

Constructors
Constructor
Description
`HttpServiceObjectRegistration(Object serviceKey, ServiceRegistration<?> registration, org.eclipse.equinox.http.servlet.internal.context.HttpContextHolder httpContextHolder, Bundle bundle)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### serviceKey

public final Object serviceKey

### registration

public final ServiceRegistration<?> registration

### httpContextHolder

public final org.eclipse.equinox.http.servlet.internal.context.HttpContextHolder httpContextHolder

### bundle

public final Bundle bundle

## Constructor Details

### HttpServiceObjectRegistration

public HttpServiceObjectRegistration(Object serviceKey, ServiceRegistration<?> registration, org.eclipse.equinox.http.servlet.internal.context.HttpContextHolder httpContextHolder, Bundle bundle)